Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.query
Class ValueMetaNode

    java.lang.Object
      com.sun.mdm.index.query.ValueMetaNode

Direct Known Subclasses:
  ObjectNodeMetaNode

public abstract class ValueMetaNode
extends java.lang.Object

The ValueMetaNode class describes the structure of the composite value objects assembled by the Query Manager and the assembler engine. This structure is used by the assembler engine to create the objects at the appropriate time. For example, if the desired object structure contains a parent object named "Person" and two child objects, one named "Address" and one named "Phone", the root ValueMetaNode object is Person. The children of the root are Address and Phone, and the children of Address and Phone are null. This class contains metadata and only describes the structure. It does not contain any instance data, such as the attributes of the parent and child nodes.

Constructor Summary
`ValueMetaNode()`

Method Summary
`java.lang.String` | `getAddParentMethod()` Retrieves the method name to be used to add the parent node.
`abstract ValueMetaNode[]` | `getChildren()` Retrieves the child nodes in the value metanode.
`java.lang.String` | `getClassName()` Retrieves the class name for the value metanode.
`abstract java.lang.String` | `getName()` Retrieves the name of the node.
`abstract ValueMetaNode` | `getParent()` Retrieves the parent node of the given node.
`java.lang.String` | `getSourceObject()` Retrieves the object name that is mapped to the given object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMetaNode

    public ValueMetaNode()

Method Detail

### getAddParentMethod

    public java.lang.String getAddParentMethod()

  Retrieves the method name to be used to add the parent node. This method is optional and only needs to be used if the assembler engine is using reflection to create objects. The name of the parent method is defined based on the object structure defined for the Master Index Project.

  Parameters:
    None.

  Returns:
    `String` - The parent method name. If no method is found, getAddParentMethod returns null.
  Throws:
    None.

### getChildren

    public abstract ValueMetaNode[] getChildren()

  Retrieves the child nodes in the value metanode.

  Parameters:
    None.

  Returns:
    `ValueMetaNode[]` - An array of child nodes.
  Throws:
    None.

### getClassName

    public java.lang.String getClassName()

  Retrieves the class name for the value metanode. This method is optional and only needs to be used if the assembler engine is using reflection to create objects (using the default reflection assembler).

  Parameters:
    None.

  Returns:
    `String` - The class name for the node. If no class name is found, getClassName returns null.
  Throws:
    None.

### getName

    public abstract java.lang.String getName()

  Retrieves the name of the node.

  Parameters:
    None.

  Returns:
    `String` - The name of the node.
  Throws:
    None.

### getParent

    public abstract ValueMetaNode getParent()

  Retrieves the parent node of the given node.

  Parameters:
    None.

  Returns:
    `ValueMetaNode` - The parent node of the given node.
  Throws:
    None.

### getSourceObject

    public java.lang.String getSourceObject()

  Retrieves the object name that is mapped to the given object. This method is optional and only needs to be used if the assembler engine is using reflection to create objects or if the object name is different than the source object.

  Parameters:
    None.

  Returns:
    `String` - The name of the object. If no name is found, this method returns null.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.